> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/dq-product/dq-report-api.md).

# DQ Report API

The DQ Report API allows you to generate and manage reports.

## List the total number of DQ Jobs per user

> Returns a list of the total number of DQ Jobs per user.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/userTotalJobs":{"get":{"tags":["DQ Report API"],"summary":"List the total number of DQ Jobs per user","description":"Returns a list of the total number of DQ Jobs per user.","operationId":"getUserTotalJobs","parameters":[{"name":"startDate","in":"query","description":"Start Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","description":"End Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"Limit the number of records to return","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"User Total Jobs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the total number of rules per user

> Returns a list of the total number of rules per user.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/userRules":{"get":{"tags":["DQ Report API"],"summary":"List the total number of rules per user","description":"Returns a list of the total number of rules per user.","operationId":"getUserRules","parameters":[{"name":"startDate","in":"query","description":"Start Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","description":"End Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"Limit the number of records to return","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"User Rules","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the total number of DQ Jobs run per user and day

> Returns a list of the total number of DQ Jobs run per user and day.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/userDailyJobs":{"get":{"tags":["DQ Report API"],"summary":"List the total number of DQ Jobs run per user and day","description":"Returns a list of the total number of DQ Jobs run per user and day.","operationId":"getUserDailyJobs","parameters":[{"name":"startDate","in":"query","description":"Start Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","description":"End Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"Limit the number of records to return","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"User Daily Jobs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the total number of clicks per user

> Returns a list of the total number of clicks in the application per user.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/userClickActivity":{"get":{"tags":["DQ Report API"],"summary":"List the total number of clicks per user","description":"Returns a list of the total number of clicks in the application per user.","operationId":"getUserActivity","parameters":[{"name":"startDate","in":"query","description":"Start Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","description":"End Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"Limit the number of records to return","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"User Click Activity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## Return the percentage of passing rows by dimension

> Returns the average percentage of rows passing divided by the total number of rows scanned, aggregated by dimension.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/rulespassing":{"get":{"tags":["DQ Report API"],"summary":"Return the percentage of passing rows by dimension","description":"Returns the average percentage of rows passing divided by the total number of rows scanned, aggregated by dimension.","operationId":"getQuality","responses":{"200":{"description":"Rules Passing Report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the DQ Jobs with oversized hardware requirements

> Returns a list of DQ Jobs with more hardware than is available to run.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/oversizedJobs":{"get":{"tags":["DQ Report API"],"summary":"List the DQ Jobs with oversized hardware requirements","description":"Returns a list of DQ Jobs with more hardware than is available to run.","operationId":"getOversizedJobs","responses":{"200":{"description":"Highest Hardware Usage Jobs Report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## Return the average scores of all adaptive rules

> Returns the average scores of all adaptive rules, aggregated by check type and dimension.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/observability":{"get":{"tags":["DQ Report API"],"summary":"Return the average scores of all adaptive rules","description":"Returns the average scores of all adaptive rules, aggregated by check type and dimension.","operationId":"getObservability","responses":{"200":{"description":"Observability Report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the DQ Jobs that unexpectedly did not run

> Returns a list of DQ Jobs that did not run when a run was expected.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/missingJobs":{"get":{"tags":["DQ Report API"],"summary":"List the DQ Jobs that unexpectedly did not run","description":"Returns a list of DQ Jobs that did not run when a run was expected.","operationId":"getMissingJobs","responses":{"200":{"description":"Missing Jobs Report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List by date the number of DQ Jobs that unexpectedly did not run

> Returns a list of the number of DQ Jobs that did not run when a run was expected, aggregated by date.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/missingJobsChart":{"get":{"tags":["DQ Report API"],"summary":"List by date the number of DQ Jobs that unexpectedly did not run","description":"Returns a list of the number of DQ Jobs that did not run when a run was expected, aggregated by date.","operationId":"getMissingJobsChart","responses":{"200":{"description":"Missing Jobs Report Chart","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the DQ Jobs with the highest hardware requirements

> Returns a list of of DQ Jobs with the highest hardware requirements

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/highestHardwareUsage":{"get":{"tags":["DQ Report API"],"summary":"List the DQ Jobs with the highest hardware requirements","description":"Returns a list of of DQ Jobs with the highest hardware requirements","operationId":"getHighestHardwareUsage","responses":{"200":{"description":"Highest Hardware Usage Jobs Report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## List the row count by dataset

> Returns a list of row counts by dataset

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/datasetRowCount":{"get":{"tags":["DQ Report API"],"summary":"List the row count by dataset","description":"Returns a list of row counts by dataset","operationId":"getDatasetRowCount","parameters":[{"name":"startDate","in":"query","description":"Start Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","description":"End Date","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"Limit the number of records to return","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Row count by dataset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```

## Return a list of alert recipients and the total number of alerts designated to send to them when triggered

> Returns a list of alert recipients and the number of all possible alerts designated to send to them when triggered

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Report API","description":"The DQ Report API allows you to generate and manage reports."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReportDTO":{"type":"object","properties":{"schema":{"type":"object","additionalProperties":{"type":"string"}},"data":{"type":"array","items":{"type":"object"}}},"description":"Report Data Transfer Object containing schema and data"}}},"paths":{"/v3/reports/views/alertReport":{"get":{"tags":["DQ Report API"],"summary":"Return a list of alert recipients and the total number of alerts designated to send to them when triggered","description":"Returns a list of alert recipients and the number of all possible alerts designated to send to them when triggered","operationId":"getAlerts","parameters":[{"name":"limit","in":"query","description":"Limit the number of records to return","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Alert counts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportDTO"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/dq-product/dq-report-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
